net.minecraft.world.biome

## Class BiomeGenBase

- java.lang.Object
- - net.minecraft.world.biome.BiomeGenBase

- Direct Known Subclasses:
    BiomeGenBeach, BiomeGenDesert, BiomeGenEnd, BiomeGenForest, BiomeGenHell, BiomeGenHills, BiomeGenJungle, BiomeGenMesa, BiomeGenMushroomIsland, BiomeGenMutated, BiomeGenOcean, BiomeGenPlains, BiomeGenRiver, BiomeGenSavanna, BiomeGenSnow, BiomeGenStoneBeach, BiomeGenSwamp, BiomeGenTaiga

      public abstract class BiomeGenBase
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `BiomeGenBase.FlowerEntry` Weighted random holder class used to hold possible flowers that can spawn in this biome when bonemeal is used on grass.
    `static class` | `BiomeGenBase.Height`
    `static class` | `BiomeGenBase.SpawnListEntry`
    `static class` | `BiomeGenBase.TempCategory`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static BiomeGenBase` | `beach`
    `int` | `biomeID`
    `java.lang.String` | `biomeName`
    `static BiomeGenBase` | `birchForest`
    `static BiomeGenBase` | `birchForestHills`
    `static BiomeGenBase` | `coldBeach`
    `static BiomeGenBase` | `coldTaiga`
    `static BiomeGenBase` | `coldTaigaHills`
    `int` | `color`
    `static BiomeGenBase` | `deepOcean`
    `static BiomeGenBase` | `desert`
    `static BiomeGenBase` | `desertHills`
    `protected boolean` | `enableRain`
    `protected boolean` | `enableSnow`
    `static java.util.Set` | `explorationBiomesList`
    `static BiomeGenBase` | `extremeHills`
    `static BiomeGenBase` | `extremeHillsEdge`
    `static BiomeGenBase` | `extremeHillsPlus`
    `int` | `field_150604_aj`
    `int` | `field_150609_ah`
    `int` | `field_76754_C`
    `Block` | `fillerBlock`
    `protected java.util.List<BiomeGenBase.FlowerEntry>` | `flowers`
    `static BiomeGenBase` | `forest`
    `static BiomeGenBase` | `forestHills`
    `static BiomeGenBase` | `frozenOcean`
    `static BiomeGenBase` | `frozenRiver`
    `protected static WorldGenDoublePlant` | `genTallFlowers`
    `protected static BiomeGenBase.Height` | `height_DeepOceans`
    `protected static BiomeGenBase.Height` | `height_Default`
    `protected static BiomeGenBase.Height` | `height_HighPlateaus`
    `protected static BiomeGenBase.Height` | `height_LowHills`
    `protected static BiomeGenBase.Height` | `height_LowIslands`
    `protected static BiomeGenBase.Height` | `height_LowPlains`
    `protected static BiomeGenBase.Height` | `height_MidHills`
    `protected static BiomeGenBase.Height` | `height_MidPlains`
    `protected static BiomeGenBase.Height` | `height_Oceans`
    `protected static BiomeGenBase.Height` | `height_PartiallySubmerged`
    `protected static BiomeGenBase.Height` | `height_RockyWaters`
    `protected static BiomeGenBase.Height` | `height_ShallowWaters`
    `protected static BiomeGenBase.Height` | `height_Shores`
    `float` | `heightVariation`
    `static BiomeGenBase` | `hell`
    `static BiomeGenBase` | `iceMountains`
    `static BiomeGenBase` | `icePlains`
    `static BiomeGenBase` | `jungle`
    `static BiomeGenBase` | `jungleEdge`
    `static BiomeGenBase` | `jungleHills`
    `static BiomeGenBase` | `megaTaiga`
    `static BiomeGenBase` | `megaTaigaHills`
    `static BiomeGenBase` | `mesa`
    `static BiomeGenBase` | `mesaPlateau`
    `static BiomeGenBase` | `mesaPlateau_F`
    `static BiomeGenBase` | `mushroomIsland`
    `static BiomeGenBase` | `mushroomIslandShore`
    `static BiomeGenBase` | `ocean`
    `static BiomeGenBase` | `plains`
    `protected static NoiseGeneratorPerlin` | `plantNoise`
    `float` | `rainfall`
    `static BiomeGenBase` | `river`
    `static BiomeGenBase` | `roofedForest`
    `float` | `rootHeight`
    `static BiomeGenBase` | `savanna`
    `static BiomeGenBase` | `savannaPlateau`
    `static BiomeGenBase` | `sky`
    `protected java.util.List` | `spawnableCaveCreatureList`
    `protected java.util.List` | `spawnableCreatureList`
    `protected java.util.List` | `spawnableMonsterList`
    `protected java.util.List` | `spawnableWaterCreatureList`
    `static BiomeGenBase` | `stoneBeach`
    `static BiomeGenBase` | `swampland`
    `static BiomeGenBase` | `taiga`
    `static BiomeGenBase` | `taigaHills`
    `float` | `temperature`
    `protected static NoiseGeneratorPerlin` | `temperatureNoise`
    `BiomeDecorator` | `theBiomeDecorator`
    `Block` | `topBlock`
    `int` | `waterColorMultiplier`
    `protected WorldGenBigTree` | `worldGeneratorBigTree`
    `protected WorldGenSwamp` | `worldGeneratorSwamp`
    `protected WorldGenTrees` | `worldGeneratorTrees`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BiomeGenBase(int par1)`
    `BiomeGenBase(int par1, boolean register)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addDefaultFlowers()` Adds the default flowers, as of 1.7, it is 2 yellow, and 1 red.
    `void` | `addFlower(Block block, int metadata, int weight)` Register a new plant to be planted when bonemeal is used on grass.
    `boolean` | `canSpawnLightningBolt()`
    `BiomeDecorator` | `createBiomeDecorator()`
    `BiomeGenBase` | `createMutation()`
    `void` | `decorate(World par1World, java.util.Random par2Random, int par3, int par4)`
    `BiomeGenBase` | `func_150557_a(int p_150557_1_, boolean p_150557_2_)`
    `boolean` | `func_150559_j()`
    `BiomeGenBase` | `func_150563_c(int p_150563_1_)`
    `WorldGenAbstractTree` | `func_150567_a(java.util.Random p_150567_1_)`
    `java.lang.String` | `func_150572_a(java.util.Random p_150572_1_, int p_150572_2_, int p_150572_3_, int p_150572_4_)`
    `BiomeGenBase` | `func_76733_a(int par1)`
    `void` | `genBiomeTerrain(World p_150560_1_, java.util.Random p_150560_2_, Block[] p_150560_3_, byte[] p_150560_4_, int p_150560_5_, int p_150560_6_, double p_150560_7_)`
    `void` | `genTerrainBlocks(World p_150573_1_, java.util.Random p_150573_2_, Block[] p_150573_3_, byte[] p_150573_4_, int p_150573_5_, int p_150573_6_, double p_150573_7_)`
    `static BiomeGenBase` | `getBiome(int p_150568_0_)`
    `java.lang.Class` | `getBiomeClass()`
    `int` | `getBiomeFoliageColor(int p_150571_1_, int p_150571_2_, int p_150571_3_)`
    `static BiomeGenBase[]` | `getBiomeGenArray()`
    `int` | `getBiomeGrassColor(int p_150558_1_, int p_150558_2_, int p_150558_3_)`
    `boolean` | `getEnableSnow()`
    `float` | `getFloatRainfall()`
    `float` | `getFloatTemperature(int p_150564_1_, int p_150564_2_, int p_150564_3_)`
    `int` | `getIntRainfall()`
    `BiomeDecorator` | `getModdedBiomeDecorator(BiomeDecorator original)`
    `int` | `getModdedBiomeFoliageColor(int original)`
    `int` | `getModdedBiomeGrassColor(int original)`
    `WorldGenerator` | `getRandomWorldGenForGrass(java.util.Random par1Random)`
    `int` | `getSkyColorByTemp(float par1)`
    `java.util.List` | `getSpawnableList(EnumCreatureType par1EnumCreatureType)`
    `float` | `getSpawningChance()`
    `BiomeGenBase.TempCategory` | `getTempCategory()`
    `int` | `getWaterColorMultiplier()`
    `boolean` | `isEqualTo(BiomeGenBase p_150569_1_)`
    `boolean` | `isHighHumidity()`
    `void` | `plantFlower(World world, java.util.Random rand, int x, int y, int z)`
    `BiomeGenBase` | `setBiomeName(java.lang.String par1Str)`
    `BiomeGenBase` | `setColor(int par1)`
    `BiomeGenBase` | `setDisableRain()`
    `BiomeGenBase` | `setEnableSnow()`
    `BiomeGenBase` | `setHeight(BiomeGenBase.Height p_150570_1_)`
    `BiomeGenBase` | `setTemperatureRainfall(float par1, float par2)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### height_Default

          protected static final BiomeGenBase.Height height_Default

    - #### height_ShallowWaters

          protected static final BiomeGenBase.Height height_ShallowWaters

    - #### height_Oceans

          protected static final BiomeGenBase.Height height_Oceans

    - #### height_DeepOceans

          protected static final BiomeGenBase.Height height_DeepOceans

    - #### height_LowPlains

          protected static final BiomeGenBase.Height height_LowPlains

    - #### height_MidPlains

          protected static final BiomeGenBase.Height height_MidPlains

    - #### height_LowHills

          protected static final BiomeGenBase.Height height_LowHills

    - #### height_HighPlateaus

          protected static final BiomeGenBase.Height height_HighPlateaus

    - #### height_MidHills

          protected static final BiomeGenBase.Height height_MidHills

    - #### height_Shores

          protected static final BiomeGenBase.Height height_Shores

    - #### height_RockyWaters

          protected static final BiomeGenBase.Height height_RockyWaters

    - #### height_LowIslands

          protected static final BiomeGenBase.Height height_LowIslands

    - #### height_PartiallySubmerged

          protected static final BiomeGenBase.Height height_PartiallySubmerged

    - #### explorationBiomesList

          public static final java.util.Set explorationBiomesList

    - #### ocean

          public static final BiomeGenBase ocean

    - #### plains

          public static final BiomeGenBase plains

    - #### desert

          public static final BiomeGenBase desert

    - #### extremeHills

          public static final BiomeGenBase extremeHills

    - #### forest

          public static final BiomeGenBase forest

    - #### taiga

          public static final BiomeGenBase taiga

    - #### swampland

          public static final BiomeGenBase swampland

    - #### river

          public static final BiomeGenBase river

    - #### hell

          public static final BiomeGenBase hell

    - #### sky

          public static final BiomeGenBase sky

    - #### frozenOcean

          public static final BiomeGenBase frozenOcean

    - #### frozenRiver

          public static final BiomeGenBase frozenRiver

    - #### icePlains

          public static final BiomeGenBase icePlains

    - #### iceMountains

          public static final BiomeGenBase iceMountains

    - #### mushroomIsland

          public static final BiomeGenBase mushroomIsland

    - #### mushroomIslandShore

          public static final BiomeGenBase mushroomIslandShore

    - #### beach

          public static final BiomeGenBase beach

    - #### desertHills

          public static final BiomeGenBase desertHills

    - #### forestHills

          public static final BiomeGenBase forestHills

    - #### taigaHills

          public static final BiomeGenBase taigaHills

    - #### extremeHillsEdge

          public static final BiomeGenBase extremeHillsEdge

    - #### jungle

          public static final BiomeGenBase jungle

    - #### jungleHills

          public static final BiomeGenBase jungleHills

    - #### jungleEdge

          public static final BiomeGenBase jungleEdge

    - #### deepOcean

          public static final BiomeGenBase deepOcean

    - #### stoneBeach

          public static final BiomeGenBase stoneBeach

    - #### coldBeach

          public static final BiomeGenBase coldBeach

    - #### birchForest

          public static final BiomeGenBase birchForest

    - #### birchForestHills

          public static final BiomeGenBase birchForestHills

    - #### roofedForest

          public static final BiomeGenBase roofedForest

    - #### coldTaiga

          public static final BiomeGenBase coldTaiga

    - #### coldTaigaHills

          public static final BiomeGenBase coldTaigaHills

    - #### megaTaiga

          public static final BiomeGenBase megaTaiga

    - #### megaTaigaHills

          public static final BiomeGenBase megaTaigaHills

    - #### extremeHillsPlus

          public static final BiomeGenBase extremeHillsPlus

    - #### savanna

          public static final BiomeGenBase savanna

    - #### savannaPlateau

          public static final BiomeGenBase savannaPlateau

    - #### mesa

          public static final BiomeGenBase mesa

    - #### mesaPlateau_F

          public static final BiomeGenBase mesaPlateau_F

    - #### mesaPlateau

          public static final BiomeGenBase mesaPlateau

    - #### temperatureNoise

          protected static final NoiseGeneratorPerlin temperatureNoise

    - #### plantNoise

          protected static final NoiseGeneratorPerlin plantNoise

    - #### genTallFlowers

          protected static final WorldGenDoublePlant genTallFlowers

    - #### biomeName

          public java.lang.String biomeName

    - #### color

          public int color

    - #### field_150609_ah

          public int field_150609_ah

    - #### topBlock

          public Block topBlock

    - #### field_150604_aj

          public int field_150604_aj

    - #### fillerBlock

          public Block fillerBlock

    - #### field_76754_C

          public int field_76754_C

    - #### rootHeight

          public float rootHeight

    - #### heightVariation

          public float heightVariation

    - #### temperature

          public float temperature

    - #### rainfall

          public float rainfall

    - #### waterColorMultiplier

          public int waterColorMultiplier

    - #### theBiomeDecorator

          public BiomeDecorator theBiomeDecorator

    - #### spawnableMonsterList

          protected java.util.List spawnableMonsterList

    - #### spawnableCreatureList

          protected java.util.List spawnableCreatureList

    - #### spawnableWaterCreatureList

          protected java.util.List spawnableWaterCreatureList

    - #### spawnableCaveCreatureList

          protected java.util.List spawnableCaveCreatureList

    - #### enableSnow

          protected boolean enableSnow

    - #### enableRain

          protected boolean enableRain

    - #### biomeID

          public final int biomeID

    - #### worldGeneratorTrees

          protected WorldGenTrees worldGeneratorTrees

    - #### worldGeneratorBigTree

          protected WorldGenBigTree worldGeneratorBigTree

    - #### worldGeneratorSwamp

          protected WorldGenSwamp worldGeneratorSwamp

    - #### flowers

          protected java.util.List<BiomeGenBase.FlowerEntry> flowers

  - ### Constructor Detail

    - #### BiomeGenBase

          public BiomeGenBase(int par1)

    - #### BiomeGenBase

          public BiomeGenBase(int par1,
                      boolean register)

  - ### Method Detail

    - #### createBiomeDecorator

          public BiomeDecorator createBiomeDecorator()

    - #### setTemperatureRainfall

          public BiomeGenBase setTemperatureRainfall(float par1,
                                            float par2)

    - #### setHeight

          public final BiomeGenBase setHeight(BiomeGenBase.Height p_150570_1_)

    - #### setDisableRain

          public BiomeGenBase setDisableRain()

    - #### func_150567_a

          public WorldGenAbstractTree func_150567_a(java.util.Random p_150567_1_)

    - #### getRandomWorldGenForGrass

          public WorldGenerator getRandomWorldGenForGrass(java.util.Random par1Random)

    - #### func_150572_a

          public java.lang.String func_150572_a(java.util.Random p_150572_1_,
                                       int p_150572_2_,
                                       int p_150572_3_,
                                       int p_150572_4_)

    - #### setEnableSnow

          public BiomeGenBase setEnableSnow()

    - #### setBiomeName

          public BiomeGenBase setBiomeName(java.lang.String par1Str)

    - #### func_76733_a

          public BiomeGenBase func_76733_a(int par1)

    - #### setColor

          public BiomeGenBase setColor(int par1)

    - #### func_150563_c

          public BiomeGenBase func_150563_c(int p_150563_1_)

    - #### func_150557_a

          public BiomeGenBase func_150557_a(int p_150557_1_,
                                   boolean p_150557_2_)

    - #### getSkyColorByTemp

          public int getSkyColorByTemp(float par1)

    - #### getSpawnableList

          public java.util.List getSpawnableList(EnumCreatureType par1EnumCreatureType)

    - #### getEnableSnow

          public boolean getEnableSnow()

    - #### canSpawnLightningBolt

          public boolean canSpawnLightningBolt()

    - #### isHighHumidity

          public boolean isHighHumidity()

    - #### getSpawningChance

          public float getSpawningChance()

    - #### getIntRainfall

          public final int getIntRainfall()

    - #### getFloatRainfall

          public final float getFloatRainfall()

    - #### getFloatTemperature

          public final float getFloatTemperature(int p_150564_1_,
                                  int p_150564_2_,
                                  int p_150564_3_)

    - #### decorate

          public void decorate(World par1World,
                      java.util.Random par2Random,
                      int par3,
                      int par4)

    - #### getBiomeGrassColor

          public int getBiomeGrassColor(int p_150558_1_,
                               int p_150558_2_,
                               int p_150558_3_)

    - #### getBiomeFoliageColor

          public int getBiomeFoliageColor(int p_150571_1_,
                                 int p_150571_2_,
                                 int p_150571_3_)

    - #### func_150559_j

          public boolean func_150559_j()

    - #### genTerrainBlocks

          public void genTerrainBlocks(World p_150573_1_,
                              java.util.Random p_150573_2_,
                              Block[] p_150573_3_,
                              byte[] p_150573_4_,
                              int p_150573_5_,
                              int p_150573_6_,
                              double p_150573_7_)

    - #### genBiomeTerrain

          public final void genBiomeTerrain(World p_150560_1_,
                             java.util.Random p_150560_2_,
                             Block[] p_150560_3_,
                             byte[] p_150560_4_,
                             int p_150560_5_,
                             int p_150560_6_,
                             double p_150560_7_)

    - #### createMutation

          public BiomeGenBase createMutation()

    - #### getBiomeClass

          public java.lang.Class getBiomeClass()

    - #### isEqualTo

          public boolean isEqualTo(BiomeGenBase p_150569_1_)

    - #### getTempCategory

          public BiomeGenBase.TempCategory getTempCategory()

    - #### getBiomeGenArray

          public static BiomeGenBase[] getBiomeGenArray()

    - #### getBiome

          public static BiomeGenBase getBiome(int p_150568_0_)

    - #### getModdedBiomeDecorator

          public BiomeDecorator getModdedBiomeDecorator(BiomeDecorator original)

    - #### getWaterColorMultiplier

          public int getWaterColorMultiplier()

    - #### getModdedBiomeGrassColor

          public int getModdedBiomeGrassColor(int original)

    - #### getModdedBiomeFoliageColor

          public int getModdedBiomeFoliageColor(int original)

    - #### addDefaultFlowers

          public void addDefaultFlowers()

      Adds the default flowers, as of 1.7, it is 2 yellow, and 1 red. I chose 10 to allow some wiggle room in the numbers.

    - #### addFlower

          public void addFlower(Block block,
                       int metadata,
                       int weight)

      Register a new plant to be planted when bonemeal is used on grass.
      Parameters:
        `block` - The block to place.
        `metadata` - The metadata to set for the block when being placed.
        `weight` - The weight of the plant, where red flowers are 10 and yellow flowers are 20.

    - #### plantFlower

          public void plantFlower(World world,
                         java.util.Random rand,
                         int x,
                         int y,
                         int z)